play.db.helper

## Class JpqlSelect

- java.lang.Object
- - play.db.helper.SqlQuery
  - - play.db.helper.SqlSelect
    - - play.db.helper.JpqlSelect

    public class JpqlSelect
    extends SqlSelect

### Nested Class Summary

### Nested classes/interfaces inherited from class play.db.helper.SqlSelect

`SqlSelect.Where`

### Nested classes/interfaces inherited from class play.db.helper.SqlQuery

`SqlQuery.Concat`

### Field Summary

### Fields inherited from class play.db.helper.SqlSelect

`from, groupBy, join, limit, orderBy, select, where`

### Fields inherited from class play.db.helper.SqlQuery

`params`

### Constructor Summary

Constructors
Constructor and Description
`JpqlSelect()`
`JpqlSelect(JpqlSelect src)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class play.db.helper.SqlSelect

`andWhere, andWhere, from, groupBy, innerJoin, leftJoin, limit, limit, orderBy, orWhere, orWhere, param, params, select, where, where, where`

### Methods inherited from class play.db.helper.SqlQuery

`getParams, inlineParam, paramCurrentIndex, pmark, pmark, quote, whereIn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JpqlSelect

    public JpqlSelect()

#### JpqlSelect

    public JpqlSelect(JpqlSelect src)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `SqlSelect`